"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clientServer = void 0;
const http_1 = require("http");
const options_1 = require("./options");
const session_1 = require("./session");
const request_listener_1 = require("./request-listener");
const clientServer = async (options) => {
    var _a, _b;
    const { contentHandler, waitOn } = options;
    const coreOptions = (_a = options.coreOptions) !== null && _a !== void 0 ? _a : (0, options_1.resolveOptions)();
    const sessionStore = (_b = options.sessionStore) !== null && _b !== void 0 ? _b : new session_1.MemorySessionStore();
    const connectServer = async () => {
        if (waitOn) {
            await Promise.resolve(waitOn);
        }
        const requestListener = await (0, request_listener_1.createRequestListener)(coreOptions, sessionStore, contentHandler);
        return (0, http_1.createServer)(requestListener);
    };
    return connectServer();
};
exports.clientServer = clientServer;
//# sourceMappingURL=client-server.js.map