import type { IncomingMessage, ServerResponse } from 'http';
import type { UrlWithParsedQuery } from 'url';
import type { GetPublicKeyOrSecret, Secret, VerifyCallback } from 'jsonwebtoken';
import type { UserinfoResponse } from 'openid-client';
import type jwksClient from 'jwks-rsa';
import type { ErrorResponse } from '../status';
import type { Json } from '../json';
import type { Options } from '../options';
import type { ExecuteProxyRequestParams, OpenIdClientMiddleware, UserInfoFromJwtService } from './types';
export declare const clone: (json: any) => any;
export declare const redirectResponse: (location: string, res: ServerResponse) => void;
export declare const sendJsonResponse: (status: number, json: Json | UserinfoResponse | ErrorResponse, res: ServerResponse) => void;
export declare const sendResponse: (status: number, headers: any, payload: any, res: ServerResponse) => void;
export declare const showResponse: (status: number, payload: any, res: ServerResponse) => void;
export declare const pathsMatch: (url: UrlWithParsedQuery, pathname: string) => boolean;
export declare const createUserInfoFromJwtService: (jwksClientInstance: jwksClient.JwksClient, jwtVerify: (token: string, secretOrPublicKey: Secret | GetPublicKeyOrSecret, callback?: VerifyCallback) => void) => UserInfoFromJwtService;
export declare const parseBody: (request: IncomingMessage) => Promise<string>;
export declare const withBreaker: (mw: OpenIdClientMiddleware, options: Options, name: string) => OpenIdClientMiddleware;
export declare const pathFromReferer: (referer: string) => string;
export declare const executeRequest: (executeParameters: ExecuteProxyRequestParams) => Promise<void>;
