/// <reference types="node" />
/// <reference types="node" />
/// <reference types="node" />
import type { IncomingMessage, RequestListener, ServerResponse } from 'http';
import type { UrlWithParsedQuery } from 'url';
import { EventEmitter } from 'events';
import type { Options } from './options';
import type { SessionStore } from './session';
export declare const RequestListenerEvents: {
    STARTED: string;
    COMPLETED: string;
    ERROR: string;
};
export declare const RequestListenerEventEmitter: EventEmitter;
export type ContentHandler = (request: IncomingMessage, res: ServerResponse, parsedUrl?: UrlWithParsedQuery | undefined) => Promise<void>;
export declare const createRequestListener: (options: Options, sessionStore: SessionStore, requestHandler?: ContentHandler) => Promise<RequestListener>;
